## bareos 17.2.7

=== src/win32/Makefile ===
#
# BAREOS® - Backup Archiving REcovery Open Sourced
#
# Copyright (C) 2014-2014 Bareos GmbH & Co. KG
#
# This program is Free Software; you can redistribute it and/or
# modify it under the terms of version three of the GNU Affero General Public
# License as published by the Free Software Foundation and included
# in the file LICENSE.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
# 02110-1301, USA.
#
include Makefile.inc

VERSION_STRING := $(shell grep 'VERSION "' ../include/version.h | cut -d ' ' -f3)

all_subdirs = lib findlib lmdb filed console tools cats dird stored plugins lib/unittests tests
ifeq ($(BUILD_QTGUI),yes)
all_subdirs += qt-tray-monitor
endif

all: rc-files qt-gui
	@for I in ${all_subdirs}; \
	  do (cd $$I; echo "==>Entering directory `pwd`"; \
		$(MAKE) WIN_VERSION=$(WIN_VERSION) DESTDIR=$(DESTDIR) $@ || (echo ""; echo ""; echo "  ====== Error in `pwd` ======"; \
		echo ""; echo ""; exit 1;)); \
	done

install:
	@for I in ${all_subdirs}; \
	  do (cd $$I; echo "==>Entering directory `pwd`"; \
		$(MAKE) WIN_VERSION=$(WIN_VERSION) DESTDIR=$(DESTDIR) $@ || (echo ""; echo ""; echo "  ====== Error in `pwd` ======"; \
		echo ""; echo ""; exit 1;)); \
	done

clean:
	@for I in ${all_subdirs}; \
	  do (cd $$I; echo "==>Entering directory `pwd`"; \
		$(MAKE) WIN_VERSION=$(WIN_VERSION) DESTDIR=$(DESTDIR) $@ || (echo ""; echo ""; echo "  ====== Error in `pwd` ======"; \
		echo ""; echo ""; exit 1;)); \
	done

distclean:
	@for I in ${all_subdirs}; \
	  do (cd $$I; echo "==>Entering directory `pwd`"; \
		$(MAKE) WIN_VERSION=$(WIN_VERSION) DESTDIR=$(DESTDIR) $@ || (echo ""; echo ""; echo "  ====== Error in `pwd` ======"; \
		echo ""; echo ""; exit 1;)); \
	done

ifeq ($(BUILD_QTGUI),)
rc-files: tools/bsmtpres.rc \
	  tools/bregexres.rc \
	  tools/bwildres.rc \
	  console/consoleres.rc \
	  filed/filedres.rc \
	  stored/storedres.rc \
	  stored/bextractres.rc \
	  stored/blsres.rc \
	  stored/bscanres.rc \
	  stored/btaperes.rc \
	  dird/dirdres.rc \
	  dird/dbcheckres.rc

qt-gui:
else
rc-files: tools/bsmtpres.rc \
	  tools/bregexres.rc \
	  tools/bwildres.rc \
	  console/consoleres.rc \
	  filed/filedres.rc \
	  stored/storedres.rc \
	  stored/bextractres.rc \
	  stored/blsres.rc \
	  stored/bscanres.rc \
	  stored/btaperes.rc \
	  dird/dirdres.rc \
	  dird/dbcheckres.rc \
	  qt-tray-monitor/traymon.rc

qt-gui: qt-tray-monitor/Makefile

qt-tray-monitor/Makefile: qt-tray-monitor/tray-monitor.pro
	cd qt-tray-monitor; $(QMAKE) $(QMAKE_ARGS) tray-monitor.pro

qt-tray-monitor/traymon.rc: qt-tray-monitor/traymon.rc.in
	@sed -e 's/@VERSION@/$(VERSION_STRING)/' $< > $@
endif

tools/bsmtpres.rc: tools/bsmtpres.rc.in
	@sed -e 's/@VERSION@/$(VERSION_STRING)/' $< > $@

tools/bregexres.rc: tools/bregexres.rc.in
	@sed -e 's/@VERSION@/$(VERSION_STRING)/' $< > $@

tools/bwildres.rc: tools/bwildres.rc.in
	@sed -e 's/@VERSION@/$(VERSION_STRING)/' $< > $@

console/consoleres.rc: console/consoleres.rc.in
	@sed -e 's/@VERSION@/$(VERSION_STRING)/' $< > $@

filed/filedres.rc: filed/filedres.rc.in
	@sed -e 's/@VERSION@/$(VERSION_STRING)/' $< > $@

stored/storedres.rc: stored/storedres.rc.in
	@sed -e 's/@VERSION@/$(VERSION_STRING)/' $< > $@

dird/dirdres.rc: dird/dirdres.rc.in
	@sed -e 's/@VERSION@/$(VERSION_STRING)/' $< > $@

dird/dbcheckres.rc: dird/dbcheckres.rc.in
	@sed -e 's/@VERSION@/$(VERSION_STRING)/' $< > $@

stored/bextractres.rc: stored/bextractres.rc.in
	@sed -e 's/@VERSION@/$(VERSION_STRING)/' $< > $@

stored/btaperes.rc: stored/btaperes.rc.in
	@sed -e 's/@VERSION@/$(VERSION_STRING)/' $< > $@

stored/blsres.rc: stored/blsres.rc.in
	@sed -e 's/@VERSION@/$(VERSION_STRING)/' $< > $@

stored/bscanres.rc: stored/bscanres.rc.in
	@sed -e 's/@VERSION@/$(VERSION_STRING)/' $< > $@

=== src/win32/cats/Makefile ===
#
# BAREOS® - Backup Archiving REcovery Open Sourced
#
# Copyright (C) 2014-2014 Bareos GmbH & Co. KG
#
# This program is Free Software; you can redistribute it and/or
# modify it under the terms of version three of the GNU Affero General Public
# License as published by the Free Software Foundation and included
# in the file LICENSE.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
# 02110-1301, USA.
#
VPATH = .:../../cats

include ../Makefile.inc

INCLUDES = -I../.. \
	   -I../../include \
	   -I../include \
	   -I../../findlib \
	   -I../compat/include
LDLIBS = ../lib/libbareos.dll

LIBBAREOSCATS_SRCS = bvfs.c cats.c cats_backends.c sql.c sql_create.c \
		     sql_delete.c sql_find.c sql_get.c sql_list.c \
		     sql_pooling.c sql_query.c sql_update.c

LIBBAREOSCATS_OBJS = $(LIBBAREOSCATS_SRCS:.c=.o)

DEFINES += -D_BDB_PRIV_INTERFACE_

DYNAMIC_OBJS = $(LIBBAREOSCATS_OBJS)

all: libbareoscats.dll libbareoscats-postgresql.dll libbareoscats-sqlite3.dll

bareos$(WIN_VERSION).def: $(DYNAMIC_OBJS) make_def
	./make_def $(WIN_VERSION) $(DYNAMIC_OBJS) > $@

libbareoscats.dll: DLL_USAGE = -DBUILDING_DLL
libbareoscats.dll: $(DYNAMIC_OBJS) \
		bareos$(WIN_VERSION).def
	$(CXX) $(LDFLAGS_DLL) -Wl,--out-implib,$@.a $(DYNAMIC_OBJS) bareos$(WIN_VERSION).def $(LDLIBS) -o $@

postgresql.o: postgresql.c
	@echo "Compiling $<"
	$(CXX) $(DLL_USAGE) $(CXXFLAGS) -Ipgsql/include -c -o $@ $<

libbareoscats-postgresql.dll: DLL_USAGE = -DBUILDING_DLL
libbareoscats-postgresql.dll: postgresql.o libbareoscats.dll
	$(CXX) $(LDFLAGS_DLL) -Wl,--out-implib,$@.a postgresql.o $(LDLIBS) libbareoscats.dll pgsql/lib/$(WIN_VERSION)/libpq.dll -o $@

libbareoscats-sqlite3.dll: DLL_USAGE = -DBUILDING_DLL
libbareoscats-sqlite3.dll: sqlite.o libbareoscats.dll
	$(CXX) $(LDFLAGS_DLL) -Wl,--out-implib,$@.a sqlite.o $(LDLIBS) libbareoscats.dll -lsqlite3 -o $@

clean:
	rm -f *.o bareos$(WIN_VERSION).def

distclean: clean
	rm -f libbareoscats.dll libbareoscats.dll.a \
              libbareoscats-postgresql.dll libbareoscats-postgresql.dll.a \
              libbareoscats-sqlite3.dll libbareoscats-sqlite3.dll.a

# inference rules
.c.o:
	@echo "Compiling $<"
	$(CXX) $(DLL_USAGE) $(CXXFLAGS) -c -o $@ $<

=== src/win32/dird/Makefile ===
#
# BAREOS® - Backup Archiving REcovery Open Sourced
#
# Copyright (C) 2014-2014 Bareos GmbH & Co. KG
#
# This program is Free Software; you can redistribute it and/or
# modify it under the terms of version three of the GNU Affero General Public
# License as published by the Free Software Foundation and included
# in the file LICENSE.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
# 02110-1301, USA.
#
VPATH = .:../../dird:../generic

include ../Makefile.inc

INCLUDES = -I. \
	   -I../.. \
	   -I../../include \
	   -I../include \
	   -I../compat/include
LDLIBS = ../lib/libbareos.a \
	 ../lib/libbareos.dll \
         ../findlib/libbareosfind.dll \
	 ../cats/libbareoscats.dll \
         $(MINGW_LIB)/libwinpthread.a \
         $(MINGW_LIB)/libjansson.a \
	 $(WINSOCKLIB) -lole32 -loleaut32 -luuid -lcomctl32

SVRSRCS = admin.c archive.c authenticate.c autoprune.c backup.c bsr.c \
	  catreq.c consolidate.c dir_plugins.c dird_conf.c dird.c \
	  expand.c fd_cmds.c getmsg.c inc_conf.c job.c jobq.c migrate.c \
	  mountreq.c msgchan.c \
	  ndmp_dma_backup_common.c ndmp_dma_backup_NDMP_BAREOS.c \
	  ndmp_dma_backup_NDMP_NATIVE.c \
	  ndmp_dma_generic.c\
	  ndmp_dma_restore_common.c ndmp_dma_restore_NDMP_BAREOS.c \
	  ndmp_dma_restore_NDMP_NATIVE.c \
	  ndmp_dma_storage.c ndmp_fhdb_helpers.c \
	  ndmp_fhdb_mem.c ndmp_fhdb_lmdb.c newvol.c next_vol.c quota.c \
	  recycle.c restore.c run_conf.c sd_cmds.c scheduler.c \
	  socket_server.c stats.c storage.c ua_acl.c ua_audit.c ua_cmds.c \
	  ua_configure.c ua_db.c ua_dotcmds.c ua_input.c ua_impexp.c \
	  ua_label.c ua_output.c ua_prune.c ua_purge.c ua_query.c \
	  ua_restore.c ua_run.c ua_select.c ua_server.c ua_status.c \
	  ua_tree.c ua_update.c vbackup.c verify.c service.c main.c
SVROBJS = $(SVRSRCS:.c=.o)

DBCHKSRCS = dbcheck.c dird_conf.c ua_acl.c ua_audit.c run_conf.c inc_conf.c
DBCHKOBJS = $(DBCHKSRCS:.c=.o)

WINDRESSRCS = dirdres.rc
WINDRESOBJS = $(WINDRESSRCS:.rc=.o)

DBCHKRESSRCS = dbcheckres.rc
DBCHKRESOBJS = $(DBCHKRESSRCS:.rc=.o)

all: bareos-dir.exe bareos-dbcheck.exe

bareos-dir.exe: DLL_USAGE = -DUSING_DLL
bareos-dir.exe: $(SVROBJS) $(WINDRESOBJS)
	$(CXX) $(LDFLAGS_WINAPP) $(SVROBJS) $(WINDRESOBJS) $(LDLIBS) -o $@

bareos-dbcheck.exe: DLL_USAGE = -DUSING_DLL
bareos-dbcheck.exe: $(DBCHKOBJS) $(DBCHKRESOBJS)
	$(CXX) $(LDFLAGS_CONS) $(DBCHKOBJS) $(LDLIBS) $(DBCHKRESOBJS) -o $@

clean:
	rm -f *.o

distclean:: clean
	rm -f bareos-dir.exe bareos-dbcheck.exe

# inference rules
.c.o:
	@echo "Compiling $<"
	$(CXX) $(DLL_USAGE) $(CXXFLAGS) -c -o $@ $<

%.o : %.rc
	@echo "Ressource Compiling $^"
	$(WINDRES) $^ -o $@

## bareos 20.0.0

=== debian/changelog ===
bareos (20.0.0-1) unstable; urgency=low

  * See https://docs.bareos.org/release-notes/

 -- Bareos Jenkins <noreply@bareos.com>  Wed, 16 Dec 2020 07:56:23 +0000

=== debian/control ===
#
# when using
# configure --enable-dynamic-debian-package-list
# the file debian/control will be generated (overwritten)
# from configure by the template debian/control.in.
# While this makes building more flexible,
# it does not comply with Debian Packaging Policy.
# Therefore when building packages for Debian.org,
# the statical debian/control will be used.
#

# we use conditional build-depends based on build profiles
# to get the right build-depends just fill DEB_BUILD_PROFILES
# with your distribution and codename (i.e. "debian buster"
# or "ubuntu xenial") and you'll get the full build-depends.
# Otherwise you will just get the common build-depends and
# might miss a feature or two.

Source: bareos
Section: admin
Priority: optional
Maintainer: Joerg Steffens <joerg.steffens@bareos.com>
Build-Depends: acl-dev,
 apache2 | httpd,
 bc,
 chrpath,
 cmake (>= 3.12.0) | cmake-mozilla,
 debhelper (>= 7.0.50~),
 dpkg-dev (>= 1.13.19),
 libacl1-dev,
 libcap-dev [linux-any],
 liblzo2-dev,
 qtbase5-dev,
 libreadline-dev,
 libssl-dev,
 libwrap0-dev,
 libx11-dev,
 libxml2-dev,
 libsqlite3-dev, default-libmysqlclient-dev | libmysqlclient-dev, libpq-dev,
 libjansson-dev,
 libjson-c-dev,
 logrotate,
 lsb-release,
 mtx [!hurd-any],
 ncurses-dev,
 pkg-config,
 po-debconf (>= 0.8.2),
 python-dev,
 zlib1g-dev,
 systemd,
 dh-systemd,
 librados-dev <buster> <stretch> <xenial> <bionic>,
 libradosstriper-dev <buster> <stretch> <xenial> <bionic>,
 libcephfs-dev <buster> <stretch> <xenial> <bionic>,
 glusterfs-common <buster> <stretch> <xenial> <bionic>,
 ucslint <univention>,
 univention-config-dev <univention>,
 wget <univention>
Build-Conflicts: python2.2-dev, python2.3, python2.4, qt3-dev-tools, libqt4-dev
Standards-Version: 3.9.6
Vcs-Git: git://github.com/bareos/bareos.git -b master
Vcs-Browser: https://github.com/bareos/bareos/tree/master
Homepage: http://www.bareos.org/



Package:        bareos
Architecture:   any
Depends:        bareos-director (= ${binary:Version}), bareos-storage (= ${binary:Version}), bareos-client (= ${binary:Version}), ${misc:Depends}
Description: Backup Archiving Recovery Open Sourced - metapackage
 Bareos is a set of programs to manage backup, recovery and verification of
 data across a network of computers of different kinds.
 .
 It is efficient and relatively easy to use, while offering many advanced
 storage management features that make it easy to find and recover lost or
 damaged files. Due to its modular design, Bareos is scalable from small
 single computer systems to networks of hundreds of machines.
 .
 This metapackage installs the entire suite of Bareos applications: job
 scheduling, storage control, node connector, and administrative console.

Package:        bareos-bconsole
Architecture:   any
Pre-Depends:    debconf (>= 1.4.30) | debconf-2.0
Depends:        bareos-common (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Conflicts:      bacula-console
Replaces:       bacula-console
Description: Backup Archiving Recovery Open Sourced - text console
 Bareos is a set of programs to manage backup, recovery and verification of
 data across a network of computers of different kinds.
 .
 The management console allows the administrator or user to
 communicate with the Bareos Director.
 .
 This package provides the text-interface version of the console.


Package:        bareos-client
Architecture:   any
Depends:        bareos-bconsole (>= ${binary:Version}), bareos-filedaemon (>= ${binary:Version}), ${misc:Depends}
Suggests:       bareos-traymonitor
Description: Backup Archiving Recovery Open Sourced - client metapackage
 Bareos is a set of programs to manage backup, recovery and verification of
 data across a network of computers of different kinds.
 .
 The package is a metapackage for client installations (file daemon and
 console).


Package:        bareos-common
Architecture:   any
Pre-Depends:    debconf (>= 1.4.30) | debconf-2.0, adduser
Depends:        gawk, openssl, ${shlibs:Depends}, ${misc:Depends}
Conflicts:      bacula-director-common, bacula-common
Description: Backup Archiving Recovery Open Sourced - common files
 Bareos is a set of programs to manage backup, recovery and verification of
 data across a network of computers of different kinds.
 .
 This package provides files that are useful for other Bareos packages.


Package:        bareos-database-common
Architecture:   any
Pre-Depends:    debconf (>= 1.4.30) | debconf-2.0
Depends:        bareos-common (= ${binary:Version}), bareos-database-postgresql (= ${binary:Version}) | bareos-database-mysql (= ${binary:Version}) | bareos-database-sqlite3 (= ${binary:Version}), dbconfig-common, lsb-base (>= 3.2-13), ${shlibs:Depends}, ${misc:Depends}
Description: Backup Archiving Recovery Open Sourced - common catalog files
 Bareos is a set of programs to manage backup, recovery and verification of
 data across a network of computers of different kinds.
 .
 This package provides generic abstraction libs and files to connect the Bareos
 Director daemon to a database.


Package:        bareos-database-postgresql
Architecture:   any
Pre-Depends:    debconf (>= 1.4.30) | debconf-2.0
Depends:        lsb-base (>= 3.2-13), postgresql-client, ${shlibs:Depends}, ${misc:Depends}
Suggests:       postgresql
Description: Backup Archiving Recovery Open Sourced - PostgreSQL backend
 Bareos is a set of programs to manage backup, recovery and verification of
 data across a network of computers of different kinds.
 .
 This package provides the functionality to connect the Bareos Director
 daemon to a PostgreSQL database.


Package:        bareos-database-mysql
Architecture:   any
Pre-Depends:    debconf (>= 1.4.30) | debconf-2.0
Depends:        lsb-base (>= 3.2-13), ${shlibs:Depends}, ${misc:Depends}
Suggests:       default-mysql-server | mysql-server
Description: Backup Archiving Recovery Open Sourced - MySQL backend
 Bareos is a set of programs to manage backup, recovery and verification of
 data across a network of computers of different kinds.
 .
 This package provides the functionality to connect the Bareos Director
 daemon to a MySQL compatible database.


Package:        bareos-database-sqlite3
Architecture:   any
Pre-Depends:    debconf (>= 1.4.30) | debconf-2.0
Depends:        sqlite3, lsb-base (>= 3.2-13), ${shlibs:Depends}, ${misc:Depends}
Description: Backup Archiving Recovery Open Sourced - SQLite backend
 Bareos is a set of programs to manage backup, recovery and verification of
 data across a network of computers of different kinds.
 .
 This package provides the functionality to connect the Bareos Director
 daemon to a SQLite database.


Package:        bareos-database-tools
Architecture:   any
Pre-Depends:    debconf (>= 1.4.30) | debconf-2.0
Depends:        bareos-common (= ${binary:Version}), bareos-database-common (= ${binary:Version}), lsb-base (>= 3.2-13), ${shlibs:Depends}, ${misc:Depends}
Conflicts:      bacula-sd-mysql, bacula-sd-pgsql, bacula-sd-sqlite3
Description: Backup Archiving Recovery Open Sourced - database tools
 Bareos is a set of programs to manage backup, recovery and verification of
 data across a network of computers of different kinds.
 .
 This package provides tools that requires access to the Bareos database.


Package: bareos-dbg
Architecture: any
Section: debug
Priority: extra
Depends:
    bareos-storage (= ${binary:Version}) | bareos-bconsole (= ${binary:Version}) | bareos-common (= ${binary:Version}) | bareos-database-common (= ${binary:Version}) | bareos-database-mysql (= ${binary:Version}) | bareos-database-postgresql (= ${binary:Version}) | bareos-database-sqlite3 (= ${binary:Version}) | bareos-database-tools (= ${binary:Version}) | bareos-director (= ${binary:Version}) | bareos-filedaemon (= ${binary:Version}) | bareos-storage (= ${binary:Version}) | bareos-storage-tape (= ${binary:Version}) | bareos-storage-fifo (= ${binary:Version}) | bareos-tools (= ${binary:Version}),
    ${misc:Depends}
Conflicts: bacula-sd-dbg, bacula-sd-mysql-dbg, bacula-sd-pgsql-dbg, bacula-sd-sqlite3-dbg
Description: Backup Archiving Recovery Open Sourced - debugging symbols
 Bareos is a set of programs to manage backup, recovery and verification of
 data across a network of computers of different kinds.
 .
 This package provides debugging symbols for Bareos.


Package:        bareos-devel
Architecture:   any
Pre-Depends:    debconf (>= 1.4.30) | debconf-2.0
Depends:        ${shlibs:Depends}, ${misc:Depends}
Description: Backup Archiving Recovery Open Sourced - development files
 Bareos is a set of programs to manage backup, recovery and verification of
 data across a network of computers of different kinds.
 .
 This package provides additional files for develop against Bareos.


Package:        bareos-director
Architecture:   any
Pre-Depends:    debconf (>= 1.4.30) | debconf-2.0, adduser
Depends:        bareos-common (= ${binary:Version}), bareos-database-common (= ${binary:Version}), bareos-database-tools, lsb-base (>= 3.2-13), lsof, bsd-mailx | mailx, ${shlibs:Depends}, ${misc:Depends}
Recommends:     logrotate
Conflicts:      bacula-director
Replaces:       bacula-director
Description: Backup Archiving Recovery Open Sourced - director daemon
 Bareos is a set of programs to manage backup, recovery and verification of
 data across a network of computers of different kinds.
 .
 The Bareos Director service supervises all the backup, restore, verify and
 archive operations. It can run as a daemon or as a foreground service which
 administrators can use to schedule backups and recover files.
 .
 This package contains the Bareos Director daemon.


Package:        bareos-filedaemon
Architecture:   any
Pre-Depends:    debconf (>= 1.4.30) | debconf-2.0, adduser
Depends:        bareos-common (= ${binary:Version}), lsb-base (>= 3.2-13), lsof, ${shlibs:Depends}, ${misc:Depends}
Conflicts:      bacula-fd
Replaces:       bacula-fd
Description: Backup Archiving Recovery Open Sourced - file daemon
 Bareos is a set of programs to manage backup, recovery and verification of
 data across a network of computers of different kinds.
 .
 The file daemon has to be installed on the machine to be backed up. It is
 responsible for providing the file attributes and data when requested by
 the Director, and also for the file system-dependent part of restoration.
 .
 This package contains the Bareos File daemon.


Package:        bareos-storage
Architecture:   any
Pre-Depends:    debconf (>= 1.4.30) | debconf-2.0, adduser
Depends:        bareos-common (= ${binary:Version}), lsb-base (>= 3.2-13), lsof, ${shlibs:Depends}, ${misc:Depends}
Recommends:     bareos-tools
Conflicts:      bacula-sd
Replaces:       bacula-sd
Breaks:         bareos-storage-tape (<< 14.2.6~)
Description: Backup Archiving Recovery Open Sourced - storage daemon
 Bareos is a set of programs to manage backup, recovery and verification of
 data across a network of computers of different kinds.
 .
 The storage daemon performs the storage and recovery of the file
 attributes and data to the physical media; in other words, it is
 responsible for reading and writing the backups.
 .
 It runs on the machine which has access to the backup device(s) - usually
 a tape drive, but alternatively other storage media, such as files.


Package:        bareos-storage-fifo
Architecture:   any
Pre-Depends:    debconf (>= 1.4.30) | debconf-2.0
Depends:        bareos-common (= ${binary:Version}), bareos-storage (= ${binary:Version}), lsb-base (>= 3.2-13), ${shlibs:Depends}, ${misc:Depends}
Description: Backup Archiving Recovery Open Sourced - storage daemon FIFO backend
 Bareos is a set of programs to manage backup, recovery and verification of
 data across a network of computers of different kinds.
 .
 This package contains the Storage backend for FIFO files.
 This package is only required, when a resource "Archive Device = fifo"
 should be used by the Bareos Storage Daemon.


Package:        bareos-storage-tape
Architecture:   any

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#
# Sample debian/rules that uses debhelper.
#
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
DH_VERBOSE = 1

# This has to be exported to make some magic below work.
DH_OPTIONS = -v




DAEMON_USER = bareos
DAEMON_GROUP = bareos
DIRECTOR_DAEMON_USER = $(DAEMON_USER)
STORAGE_DAEMON_USER = $(DAEMON_USER)
FILE_DAEMON_USER = root
STORAGE_DAEMON_GROUP = $(DAEMON_GROUP)
BAREOS_VERSION := $(shell dpkg-parsechangelog | egrep '^Version:' | sed 's/Version: //g')

define CONFIGURE_COMMON
  -DDEBUG_PREFIX_MAP:BOOL=OFF \
  -Dsbin-perm=755 \
  -Dsbindir=/usr/sbin \
  -Dbindir=/usr/bin \
  -Dlibdir=/usr/lib/bareos \
  -Dsysconfdir=/etc \
  -Dconfdir=/etc/bareos \
  -Darchivedir=/var/lib/bareos/storage \
  -Dbackenddir=/usr/lib/bareos/backends \
  -Dconfigtemplatedir=/usr/lib/bareos/defaultconfigs \
  -Dscriptdir=/usr/lib/bareos/scripts \
  -Dplugindir=/usr/lib/bareos/plugins \
  -Dworkingdir=/var/lib/bareos \
  -Dpiddir=/var/lib/bareos \
  -Dbsrdir=/var/lib/bareos \
  -Dlogdir=/var/log/bareos \
  -Dsubsysdir=/var/lock \
  -Dreadline=yes \
  -Dbatch-insert=yes \
  -Ddynamic-debian-package-list=yes\
  -Ddynamic-cats-backends=yes \
  -Ddynamic-storage-backends=yes \
  -Dscsi-crypto=yes \
  -Dlmdb=yes \
  -Dndmp=yes \
  -Dipv6=yes \
  -Dacl=yes \
  -Dxattr=yes \
  -Dpostgresql=yes \
  -Dmysql=yes \
  -Dsqlite3=yes \
  -Dopenssl=yes \
  -Ddir-user=$(DIRECTOR_DAEMON_USER) \
  -Ddir-group=$(DAEMON_GROUP) \
  -Dsd-user=$(STORAGE_DAEMON_USER) \
  -Dsd-group=$(STORAGE_DAEMON_GROUP) \
  -Dfd-user=$(FILE_DAEMON_USER) \
  -Dfd-group=$(DAEMON_GROUP) \
  -Ddir-password="XXX_REPLACE_WITH_DIRECTOR_PASSWORD_XXX" \
  -Dfd-password="XXX_REPLACE_WITH_CLIENT_PASSWORD_XXX" \
  -Dsd-password="XXX_REPLACE_WITH_STORAGE_PASSWORD_XXX" \
  -Dmon-dir-password="XXX_REPLACE_WITH_DIRECTOR_MONITOR_PASSWORD_XXX" \
  -Dmon-fd-password="XXX_REPLACE_WITH_CLIENT_MONITOR_PASSWORD_XXX" \
  -Dmon-sd-password="XXX_REPLACE_WITH_STORAGE_MONITOR_PASSWORD_XXX" \
  -Dbasename="XXX_REPLACE_WITH_LOCAL_HOSTNAME_XXX" \
  -Dhostname="XXX_REPLACE_WITH_LOCAL_HOSTNAME_XXX" \
  -Dincludes=yes \
  -Drpath=no \
  -Ddefault_db_backend="XXX_REPLACE_WITH_DATABASE_DRIVER_XXX" \
  -DVERSION_STRING=$(BAREOS_VERSION)
endef

#  --docdir="\$(_docdir)/bareos" \
#  --htmldir="\$(_docdir)/bareos/html" \

ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
CONFIGURE_COMMON       += -Dacl=no -Dxattr=no -Dscsi-crypto=no -Dndmp=no
endif
ifeq ($(DEB_HOST_ARCH_OS),hurd)
CONFIGURE_COMMON       += -Dscsi-crypto=no -Dndmp=no
endif
CONFIGURE_CLIENT_ONLY = $(CONFIGURE_COMMON) -Dclient-only=yes
CONFIGURE_FULL        = $(CONFIGURE_COMMON) -Dpython=yes -Dtraymonitor=yes -DSHARE_INSTALL_PREFIX:PATH=/usr/share -Dwebuiconfdir=/etc/bareos-webui

override_dh_auto_configure:
	@if [ "`lsb_release --short  --id`" = "Ubuntu" ] && [ "`lsb_release --short  --release`" = "8.04" ]; then \
		echo "configure common configuration"; \
		dh_auto_configure -- $(CONFIGURE_COMMON); \
	else \
		echo "configure full configuration"; \
		dh_auto_configure -- $(CONFIGURE_FULL); \
	fi

override_dh_fixperms:
	# all files in /etc/bareos
	dh_fixperms \
		--exclude etc/bareos/ \
		--exclude var/lib/bareos/ \
		--exclude var/log/bareos/

override_dh_strip:
	dh_strip --dbg-package=bareos-dbg

override_dh_install:
	chrpath -d $(CURDIR)/debian/tmp/usr/lib/bareos/backends/libbareoscats-mysql* \
		$(CURDIR)/debian/tmp/usr/lib/bareos/backends/libbareoscats-postgresql* \
		$(CURDIR)/debian/tmp/usr/lib/bareos/backends/libbareoscats-sqlite3*
	dh_install

override_dh_installinit:
	dh_installinit --package=bareos-director   --name=bareos-dir --no-start
	dh_installinit --package=bareos-storage    --name=bareos-sd  --no-start
	dh_installinit --package=bareos-filedaemon --name=bareos-fd

override_dh_makeshlibs:
	dh_makeshlibs -n


override_dh_auto_test:
# Only run tests,
# if DEB_BUILD_OPTIONS does not contain nocheck,
# see https://www.debian.org/doc/debian-policy/ch-source.html#s-debianrules-options
# No tabs allowed before ifeq.
ifneq (nocheck,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	cd obj-$(DEB_BUILD_GNU_TYPE) && make clean && REGRESS_DEBUG=1 ctest --label-exclude broken --parallel 10 --repeat until-pass:2 -D Continuous || echo "ctest result:$?"
else
	@echo "ctest: skipped"
endif


override_dh_shlibdeps:
	dh_shlibdeps -l$(shell pwd)/debian/tmp/usr/lib/bareos


%:
	PARALLEL="--parallel"; \
	if [ "`lsb_release --short  --id`" = "Ubuntu" ] && [ "`lsb_release --short  --release`" = "8.04" ]; then PARALLEL=""; fi; \
	if dh --list | grep -q systemd; then WITH="--with"; SYSTEMD="systemd"; fi; \
	dh $@ $$PARALLEL $$WITH $$SYSTEMD

gen-debian-copyright:
	(cd debian; make copyright)
